

# h-desig-highlight

## 描述
这是一个用于处理名称的pnpm插件。它可以在字符串中查找并标记用户输入的关键字。

## 安装
你可以使用pnpm安装此插件：

```bash
pnpm i h-desig-highlight
```

## 使用方法

 CommonJS 方式 

如果你使用的是CommonJS模块系统（例如Node.js环境），你可以使用`require`来引入插件：

```bash
const { handleTradeName } = require('my-pnpm-plugin');
```

 

ES Module 方式 

 如果你使用的是ES模块系统（例如现代JavaScript项目），你可以使用`import`来引入插件： 

```bash
pnpm i h-desig-highlight
```

 

调用函数 

 在两种方式中，调用`handleTradeName`函数的方法是相同的： 

```bash
const inputValue = 'test'; // 或者使用 const { handleTradeName } = require('my-pnpm-plugin'); 
const result = handleTradeName('This is a test string with Test keyword.', inputValue);
console.log(result);

[
  { "t": "This is a ", "k": false },
  { "t": "test", "k": true },
  { "t": " string with ", "k": false },
  { "t": "Test", "k": true },
  { "t": " keyword.", "k": false }
]

```


